Package org.bgerp.dao.param

# Class ParamLogDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.ParamLogDAO

Direct Known Subclasses:
  `ParamLogDAO`

public class ParamLogDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamLogDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ParameterLogItem>`
  `getHistory(int id, List<Parameter> params, boolean offEncryption, Pageable<ParameterLogItem> result)`
  Pageable param changes history in reverse time order.
  `ParameterLogItem`
  `getLastParamChange(int objectId, int paramId)`
  `void`
  `insertParamLog(int id, int paramId, int userId, String text)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamLogDAO

    public ParamLogDAO(Connection con)

- ## Method Details

  - ### insertParamLog

    public void insertParamLog(int id, int paramId, int userId, String text) throws SQLException
    Throws:
      `SQLException`

  - ### getHistory

    public List<ParameterLogItem> getHistory(int id, List<Parameter> params, boolean offEncryption, Pageable<ParameterLogItem> result) throws SQLException
    Pageable param changes history in reverse time order.
    Parameters:
      `id` - entity ID.
      `params` - parameters.
      `offEncryption` -
      `result` - pageable result.
    Returns:
      `Pageable.getList()` from `result`.
    Throws:
      `SQLException`

  - ### getLastParamChange

    public ParameterLogItem getLastParamChange(int objectId, int paramId) throws SQLException
    Throws:
      `SQLException`